#ifndef CPHYSICSUPVECTOR_H
#define CPHYSICSUPVECTOR_H

#include "PhysicsGlobal.h"
#include "SPhysicsStructs.h"
#include "IPhysicsJoint.h"

class CPhysicsUpVector : public IPhysicsJoint
{
public:
	CPhysicsUpVector();
	~CPhysicsUpVector();

	void init(NewtonWorld* world, SPhysicsUpVector* upVector);
	void setPin(vector3df pin);
	vector3df getPin();

private:
	static f32 m_breakForce;
};

#endif